## nvidia-settings-legacy-390xx 390.87

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.87-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Feb 2019 02:28:13 +0100

nvidia-settings-legacy-390xx (390.87-1) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings (390.87-2).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 16:03:48 +0100

nvidia-settings-legacy-390xx (390.48-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the legacy 390xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 20:34:56 +0200

nvidia-settings (390.87-2) unstable; urgency=medium

  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 15:26:13 +0100

nvidia-settings (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Revert to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 00:30:21 +0100

nvidia-settings (390.87-1) unstable; urgency=medium

  * New upstream release 390.87.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Jan 2019 16:53:14 +0100

nvidia-settings (390.67-1) unstable; urgency=medium

  * New upstream release 390.67.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jul 2018 02:33:17 +0200

nvidia-settings (390.48-2) unstable; urgency=medium

  * Add Provides+Conflicts: nvidia-settings-gtk-${nvidia:Version} to prevent
    file conflicts with the legacy package built from the same upstream
    version.
  * Use dh_missing --fail-missing.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 20:22:08 +0200

nvidia-settings (390.48-1) unstable; urgency=medium

  * New upstream release 390.48.
  * Bump Standards-Version to 4.1.4. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 17:07:14 +0200

nvidia-settings (390.25-1) unstable; urgency=medium

  * New upstream release 390.25.
  * Only build nvidia-settings on platforms where it is going to be used.
    (Closes: #892184)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 23:51:27 +0100

nvidia-settings (390.12-1) experimental; urgency=medium

  * New upstream release 390.12.
    - Updated the SLI Mosaic layout page in the nvidia-settings control
      panel to support topologies with up to 32 displays.
    - Added an OpenGL stereo preview feature to the screen page in
      nvidia-settings.
  * Merge changes from 384.111.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 01:57:07 +0100

nvidia-settings (387.34-2) unstable; urgency=medium

  * Generate the GTK3|GTK2 dependency dynamically.  (Closes: #885709)
  * Merge changes from 384.111-1 (unstable), 384.111-1~deb9u1 (stretch).
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 03:17:02 +0100

nvidia-settings (387.34-1) experimental; urgency=medium

  * New upstream release 387.34.
  * New upstream release 387.12.
    - Fixed a bug that sometimes prevented the "Reset Default Configuration"
      button in the nvidia-settings "ECC Settings" page from being available
      when the ECC configuration is set to a non-default state.
    - Fixed a bug that caused nvidia-settings to enforce overly aggressive
      limits on display positions in the "X Server Display Configuration"
      page under some circumstances.
    - Fixed a bug that could cause the "Enable Base Mosaic (Surround)"
      checkbox in nvidia-settings to disappear when an X screen, rather than
      a display, is selected in the "X Server Display Configuration" page.
    - Fixed a bug that caused the nvidia-settings control panel to retain
      some settings that had been applied, but not confirmed. This resulted
      in unwanted settings being applied to subsequent settings changes.
  * Refresh patches.
  * Bump Standards-Version to 4.1.2. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Dec 2017 08:49:46 +0100

nvidia-settings (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Feb 2018 18:18:20 +0100

nvidia-settings (384.111-1) unstable; urgency=medium

  * New upstream release 384.111.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jan 2018 20:52:21 +0100

nvidia-settings (384.98-1) unstable; urgency=medium

  * New upstream release 384.98.
  * New upstream release 384.59.
    - Fixed a bug that prevented changes to stereo eye assignment from
      getting applied from the nvidia-settings control panel.
  * New upstream release 384.47.
    - Fixed a bug that caused nvidia-settings to drop device BusID
      values when making changes to an existing X configuration file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 05:46:31 +0100

nvidia-settings (381.22-1) unstable; urgency=medium

  * New upstream release 381.22.
  * New upstream release 381.09.
    - Fixed a bug that caused "nvidia-settings --query all" to print many
      duplicate entries.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:41:42 +0100

nvidia-settings (378.13-1) unstable; urgency=medium

  * New upstream release 378.13.
    - Added support in nvidia-settings to view configured PRIME displays. To
      enable PRIME displays, see "Offloading Graphics Display with RandR 1.4"
      in the README.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:32:23 +0100



=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR         = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	$(RM) src/libXNVCtrl/libXNVCtrl.so*
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	set -ex; \
	if [ -f debian/nvidia-settings$(legacy).substvars ]; then \
		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
			debian/nvidia-settings$(legacy).substvars ; \
		! grep GTK debian/nvidia-settings$(legacy).substvars ; \
	fi
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings-legacy-390xx 390.157

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

PKG_CONFIG            ?= pkg-config

ifndef GTK2_CFLAGS
  GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK2_LDFLAGS
  GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef GTK3_AVAILABLE
  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
endif

ifeq (1,$(GTK3_AVAILABLE))
  ifndef GTK3_CFLAGS
    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
  endif

  ifndef GTK3_LDFLAGS
    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
  endif
else
  GTK3_CFLAGS ?=
  GTK3_LDFLAGS ?=
endif

# If GTK3_CFLAGS is set, try and build GTK3LIB
ifdef GTK3_CFLAGS
  BUILD_GTK3LIB = 1
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

ifndef DBUS_CFLAGS
  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
  ifeq ($(DBUS_CFLAGS),)
    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-strict-prototypes
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XNVCTRL_MAKEFILE        ?= Makefile
XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_PROGRAM_NAME = "nvidia-settings"

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

GTK2LIB_NAME = libnvidia-gtk2.so
GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)

ifdef BUILD_GTK3LIB
  GTK3LIB_NAME = libnvidia-gtk3.so
  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK3 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK3LIB =
endif

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
  LIBS += -lscf
endif

LDFLAGS += $(X_LDFLAGS)

NVML_EXPERIMENTAL ?=
CFLAGS += $(if $(NVML_EXPERIMENTAL),-DNVML_EXPERIMENTAL)


# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)

GTK2_LIBS += $(GTK2_LDFLAGS)
GTK3_LIBS += $(GTK3_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

SRC        += $(STAMP_C)

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))

GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))
IMAGE_OBJS    = $(addprefix $(OUTPUTDIR)/,$(addsuffix .o,$(notdir $(IMAGE_FILES))))
IMAGE_HEADERS = $(addprefix $(OUTPUTDIR)/,$(addsuffix .h,$(notdir $(IMAGE_FILES))))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += $(DBUS_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

$(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
    CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..

ifdef BUILD_GTK3LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif

define BINARY_DATA_HEADER_RULE
  $$(OUTPUTDIR)/$(notdir $(1)).h:
	$(at_if_quiet){ \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \
	} > $$@
endef

##############################################################################
# build rules
##############################################################################

.PHONY: all install NVIDIA_SETTINGS_install clean clobber build-xnvctrl

all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB)

install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install

NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
	$(MKDIR) $(LIBDIR)
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
	    $(LIBDIR)/$(GTK2LIB_SONAME)
ifdef BUILD_GTK3LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
	    $(LIBDIR)/$(GTK3LIB_SONAME)
endif

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -rdynamic -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) $(LIBS)

$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
$(GTK2LIB).unstripped: $(GTK2_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK2_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
	    $(GTK2_OBJS) $(IMAGE_OBJS) $(XCP_OBJS)

ifdef BUILD_GTK3LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
$(GTK3LIB).unstripped: $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK3_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
	    $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS)
endif

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
$(foreach src,$(XCP_SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))

# define the rule to build $(XNVCTRL_ARCHIVE)
$(XNVCTRL_ARCHIVE): build-xnvctrl

build-xnvctrl:
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GTK2LIB) $(GTK3LIB) $(GTK2LIB_DIR) $(GTK3LIB_DIR) \
		$(IMAGE_HEADERS)
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean

$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK2LIB_DIR))))

ifdef BUILD_GTK3LIB
$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK3LIB_DIR))))
endif

# Build $(IMAGE_OBJS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call READ_ONLY_OBJECT_FROM_FILE_RULE,$(png))))

# Build $(IMAGE_HEADERS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call BINARY_DATA_HEADER_RULE,$(png))))
$(GTK2_OBJS): $(IMAGE_HEADERS)
ifdef BUILD_GTK3LIB
  $(GTK3_OBJS): $(IMAGE_HEADERS)
endif

=== src/libXNVCtrl/Makefile ===
# Copyright (c) 2008 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# assign variables
##############################################################################

LIBXNVCTRL = libXNVCtrl.a

LIBXNVCTRL_PROGRAM_NAME = "libXNVCtrl"

LIBXNVCTRL_VERSION := $(NVIDIA_VERSION)

X_CFLAGS ?=

CFLAGS += $(X_CFLAGS)
CFLAGS += -I .
CFLAGS += -fPIC
CFLAGS += -I $(OUTPUTDIR)
CFLAGS += -DPROGRAM_NAME=\"$(LIBXNVCTRL_PROGRAM_NAME)\"

SRC += NVCtrl.c
SRC += $(STAMP_C)

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))


##############################################################################
# build rules
##############################################################################

.PHONY: clean

all: $(LIBXNVCTRL)

$(LIBXNVCTRL) : $(OBJS)
	$(AR) ru $@ $(OBJS)

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(LIBXNVCTRL_PROGRAM_NAME)))

clean:
	rm -rf $(LIBXNVCTRL) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d

## nvidia-settings-legacy-390xx 390.116

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.116-1) unstable; urgency=medium

  * New upstream release 390.116.
    - Added the synchronization state for PRIME Displays to nvidia-settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Mar 2019 20:45:26 +0100

=== debian/control ===
Source: nvidia-settings-legacy-390xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev (>= 0.9),
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/master

Package: nvidia-settings-legacy-390xx
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glvnd-glx | libgl1-nvidia${nvidia:Legacy}-glx,
 nvidia${nvidia:Legacy}-vdpau-driver,
 libnvidia${nvidia:Legacy}-ml1,
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(390.*).tar.(?:gz|bz2)

## nvidia-settings-legacy-390xx 390.132

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.132-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Apr 2020 17:48:22 -0700

nvidia-settings-legacy-390xx (390.132-1) unstable; urgency=medium

  * New upstream release 390.132.
  * Fix FTBFS with gcc-10.  (Closes: #957618)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Update Lintian overrides.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 22:28:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nvidia-settings-legacy-390xx
 Section: contrib/x11
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -23,7 +24,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/master

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) src/libXNVCtrl/libXNVCtrl.a

## nvidia-settings-legacy-390xx 390.138

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.138-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jul 2020 13:39:40 -0700

nvidia-settings-legacy-390xx (390.138-1) unstable; urgency=medium

  * New upstream release 390.138.
  * Use the upstream solution from 440.100 for building with gcc-10.
  * Switch to debhelper-compat (= 13).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-exec,
+ debhelper-compat (= 13),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 # reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
-export OUTPUTDIR         = _out/debian
+export OUTPUTDIR	 = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1
@@ -57,23 +57,13 @@
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
 	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
 	$(RM) src/libXNVCtrl/libXNVCtrl.so*
 	$(MAKE) -C samples clean
 	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
-
-override_dh_compress:
-	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
 	set -ex; \
@@ -88,6 +78,9 @@
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 # used by dpkg-genchanges
 debian/substvars:

## nvidia-settings-legacy-390xx 390.143

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.143-2) unstable; urgency=medium

  * Rename "legacy" variables to "variant" and add Tesla support.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Jun 2021 10:58:57 +0200

nvidia-settings-legacy-390xx (390.143-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 390.143.

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 09:59:11 +0200

nvidia-settings-legacy-390xx (390.141-1) unstable; urgency=medium

  * New upstream release 390.141.
  * Bump watch file version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Jan 2021 23:48:22 +0100

nvidia-settings-legacy-390xx (390.138-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * conditionalize-gtk2.patch: New, support building without GTK+ 2.
  * Build only the GTK+ 3 variant.  (Closes: #967661)
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 15:28:53 +0100

nvidia-settings (390.116-1) stretch; urgency=medium

  * New upstream release 390.116.
    - Added the synchronization state for PRIME Displays to nvidia-settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 22:14:52 +0100

nvidia-settings-legacy-340xx (340.108-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 14:15:22 +0100

nvidia-settings-legacy-340xx (340.108-3) unstable; urgency=medium

  * Use the upstream solution from 440.100 for building with gcc-10.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:19:47 +0200

nvidia-settings-legacy-340xx (340.108-2) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  (Closes: #957618)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 22:23:29 +0200

nvidia-settings-legacy-340xx (340.108-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 23:25:44 +0100

nvidia-settings-legacy-340xx (340.108-1) unstable; urgency=medium

  * New upstream release 340.108.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.  (390.116-1)
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 22:56:48 +0100

nvidia-settings-legacy-340xx (340.107-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings-legacy-390xx 390.87-1.
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Use dh_missing --fail-missing.
  * Disable dh_dwz.  (See #918903)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 17:02:18 +0100

nvidia-settings-legacy-340xx (340.107-1) unstable; urgency=medium

  * New upstream release 340.107.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jul 2018 18:37:26 +0200

nvidia-settings-legacy-340xx (340.106-1) unstable; urgency=medium

  * New upstream release 340.106.
  * Synchronize packaging with nvidia-settings 390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Mar 2018 18:30:04 +0100

nvidia-settings-legacy-340xx (340.104-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.104.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Synchronize packaging with nvidia-settings 375.82-2.
  * Recommend nvidia-legacy-340xx-vdpau-driver.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879415)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * 13_clean.diff: Remove, fixed upstream since 337.12.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 11:52:22 +0100

nvidia-settings-legacy-340xx (340.101-1) unstable; urgency=medium

  * New upstream release 340.101.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:25:47 +0100

nvidia-settings-legacy-340xx (340.98-1) unstable; urgency=medium

  * New upstream release 340.98.
  * Synchronize packaging with nvidia-settings 340.98-1.



## nvidia-settings-legacy-390xx 390.144

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.144-1) unstable; urgency=medium

  * New upstream release 390.144.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jul 2021 20:29:29 +0200

=== debian/control ===
Source: nvidia-settings-legacy-390xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev (>= 0.9),
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/master

Package: nvidia-settings-legacy-390xx
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 , ${nvidia}-alternative
 , ${shlibs:Depends}, ${misc:Depends}
Recommends:
 , libgl1-${nvidia}-glvnd-glx
 | libgl1-${nvidia}-glx
 , ${nvidia}-vdpau-driver
 , lib${nvidia}-ml1
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

## nvidia-settings-legacy-390xx 390.151

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.151-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Aug 2022 13:10:52 -0700

nvidia-settings-legacy-390xx (390.151-1) unstable; urgency=medium

  * New upstream release 390.151.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 12:11:55 +0200

nvidia-settings-legacy-390xx (390.147-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 22:42:19 +0200

nvidia-settings-legacy-390xx (390.147-1) unstable; urgency=medium

  * New upstream release 390.147.
  * Bump Standards-Version to 4.6.0. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jan 2022 15:24:50 +0100

nvidia-settings-legacy-340xx (340.108-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Bump watch file version to 4. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 08:32:21 +0200

nvidia-settings-legacy-340xx (340.108-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 22:36:05 +0200

=== debian/control ===
Source: nvidia-settings-legacy-390xx
Section: contrib/x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev | libgl-dev,
               libgtk-3-dev,
               libjansson-dev,
               libvdpau-dev,
               libxv-dev,
               libxxf86vm-dev,
               m4,
               pkg-config,
               xserver-xorg-dev
Build-Conflicts: libxnvctrl-dev
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/master

Package: nvidia-settings-legacy-390xx
Architecture: amd64 armhf i386
Pre-Depends: nvidia-installer-cleanup
Depends: ${misc:Depends}, ${nvidia}-alternative, ${shlibs:Depends}
Recommends: lib${nvidia}-ml1,
            libgl1-${nvidia}-glvnd-glx | libgl1-${nvidia}-glx,
            ${nvidia}-vdpau-driver
Provides: nvidia-settings-gtk-${nvidia:Version}
Conflicts: nvidia-settings-gtk-${nvidia:Version}
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA),$(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version),$(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version)))
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png

execute_after_dh_auto_clean:
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	$(RM) src/libXNVCtrl/libXNVCtrl.so*
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings-legacy-390xx 390.157

=== debian/changelog ===
nvidia-settings-legacy-390xx (390.157-1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Mar 2023 14:53:38 -0800

nvidia-settings-legacy-390xx (390.157-1) unstable; urgency=medium

  * New upstream release 390.157.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 18:47:27 +0100

nvidia-settings-legacy-340xx (340.108-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 14:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libgtk-3-dev,
                libjansson-dev,
                libvdpau-dev,
@@ -16,10 +16,10 @@
                xserver-xorg-dev
 Build-Conflicts: libxnvctrl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/master
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 390xx/main
 
 Package: nvidia-settings-legacy-390xx
 Architecture: amd64 armhf i386

=== debian/rules ===
--- 
+++ 
@@ -76,13 +76,13 @@
 		-V'nvidia:VariantDesc=$(variant_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)'
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 # used by dpkg-genchanges
 debian/substvars:
 	echo 'nvidia:VariantDesc=$(variant_description)' > $@
-
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # Generating control files
 debian/%:: debian/%.in debian/rules debian/rules.defs
